Bug 1076916 - Review Request: git-cal - GitHub-like contributions calendar on terminal
Summary: Review Request: git-cal - GitHub-like contributions calendar on terminal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-16 12:58 UTC by Rick Elrod
Modified: 2014-04-05 19:37 UTC (History)
2 users (show)

Fixed In Version: git-cal-0.9.1-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-02 09:07:19 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rick Elrod 2014-03-16 12:58:06 UTC
Spec URL: http://codeblock.fedorapeople.org/packages/git-cal/git-cal.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/git-cal/git-cal-0.9.1-1.fc20.src.rpm
Description: 
git-cal is a simple script to view commits calendar (similar to github
contributions calendar) on command line

Fedora Account System Username: codeblock

Comment 1 Christopher Meng 2014-03-17 02:51:06 UTC
1. git-cal is a simple script to view commits calendar (similar to github
contributions calendar) on command line

Missing "." at the end.

2. perl Makefile.PL DESTDIR=%{buildroot} PREFIX=%{_prefix} NO_PACKLIST=1
make

These should be moved to %build.

3. /usr/share/man/man1/%{name}.1.*

-->

%{_mandir}/man1/%{name}.1.*

Comment 3 Christopher Meng 2014-03-21 05:31:57 UTC
MIssing BR for make:

+ perl Makefile.PL DESTDIR=/builddir/build/BUILDROOT/git-cal-0.9.1-2.fc21.i386 PREFIX=/usr NO_PACKLIST=1
Can't locate ExtUtils/MakeMaker.pm in @INC (you may need to install the ExtUtils::MakeMaker module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at Makefile.PL line 4.
BEGIN failed--compilation aborted at Makefile.PL line 4.

Comment 4 Rick Elrod 2014-03-21 12:42:11 UTC
Spec URL: http://codeblock.fedorapeople.org/packages/git-cal/git-cal.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/git-cal/git-cal-0.9.1-3.fc20.src.rpm

Fixed that (sorry, that was dumb on my part), adding missing changelog entry from last set of fixes, added new changelog entry for this fix.

Built in mock successfully.

One rpmlint warning:

git-cal.spec:26: W: rpm-buildroot-usage %build perl Makefile.PL DESTDIR=%{buildroot} PREFIX=%{_prefix} NO_PACKLIST=1

but buildroot here is necessary.

Comment 5 Christopher Meng 2014-03-21 13:32:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: git-cal-0.9.1-3.fc21.noarch.rpm
          git-cal-0.9.1-3.fc21.src.rpm
git-cal.noarch: E: non-standard-executable-perm /usr/bin/git-cal 0555L
git-cal.src:26: W: rpm-buildroot-usage %build perl Makefile.PL DESTDIR=%{buildroot} PREFIX=%{_prefix} NO_PACKLIST=1
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint git-cal
git-cal.noarch: W: invalid-url URL: https://github.com/k4rthik/git-cal <urlopen error timed out>
git-cal.noarch: E: non-standard-executable-perm /usr/bin/git-cal 0555L
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
git-cal (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl
    perl(Data::Dumper)
    perl(Getopt::Long)
    perl(Pod::Usage)
    perl(Time::Local)
    perl(strict)
    perl(utf8)
    perl(warnings)



Provides
--------
git-cal:
    git-cal



Source checksums
----------------
https://github.com/k4rthik/git-cal/archive/v0.9.1/git-cal-0.9.1.tar.gz :
  CHECKSUM(SHA256) this package     : 783fa73197b349a51d90670480a750b063c97e5779a5231fe046315af0a946cd
  CHECKSUM(SHA256) upstream package : 783fa73197b349a51d90670480a750b063c97e5779a5231fe046315af0a946cd


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn git-cal-0.9.1-3.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

--------------------------------
1. chmod +x for that binary in %install

2. make %{?_smp_mflags}

PACKAGE APPROVED.

Comment 6 Rick Elrod 2014-03-21 14:24:30 UTC
Thank you very much! :)

New Package SCM Request
=======================
Package Name: git-cal
Short Description: GitHub-like contributions calendar on terminal
Owners: codeblock
Branches: f19 f20 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-03-21 14:42:11 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-03-21 17:02:51 UTC
git-cal-0.9.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cal-0.9.1-3.fc20

Comment 9 Fedora Update System 2014-03-21 18:49:29 UTC
git-cal-0.9.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-cal-0.9.1-3.fc19

Comment 10 Fedora Update System 2014-03-21 18:50:31 UTC
git-cal-0.9.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/git-cal-0.9.1-3.el6

Comment 11 Fedora Update System 2014-03-21 22:29:53 UTC
git-cal-0.9.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-04-02 09:07:19 UTC
git-cal-0.9.1-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-04-02 09:19:19 UTC
git-cal-0.9.1-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2014-04-05 19:37:33 UTC
git-cal-0.9.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.